<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.example.boris.childmonitor">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <activity
            android:name=".activities.Login"
            android:windowSoftInputMode="stateVisible|adjustResize">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".activities.SingupActivity"
            android:label="@string/title_activity_singup"
            android:parentActivityName=".activities.Login"
            android:theme="@style/AppTheme.NoActionBar">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.example.boris.childmonitor.activities.Login" />
        </activity>
        <activity
            android:name=".activities.PerfilActivity"
            android:label="@string/title_activity_perfil"
            android:parentActivityName=".activities.Login"
            android:theme="@style/AppTheme.NoActionBar">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.example.boris.childmonitor.activities.Login" />
        </activity>
        <activity
            android:name=".activities.PerfilFinalActivity"
            android:label="@string/title_activity_perfil_final"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".activities.AddChildActivity"
            android:label="@string/title_activity_add_child"
            android:parentActivityName=".activities.PerfilFinalActivity"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.NoActionBar">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.example.boris.childmonitor.activities.PerfilFinalActivity" />
        </activity>
        <activity
            android:name=".activities.InfoHijoActivity"
            android:label="@string/title_activity_info_hijo"
            android:parentActivityName=".activities.PerfilFinalActivity"
            android:theme="@style/AppTheme.NoActionBar">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.example.boris.childmonitor.activities.PerfilFinalActivity" />
        </activity>
    </application>

</manifest>